Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orca.so/llms.txt

Use this file to discover all available pages before exploring further.

Token Endpoints

Endpoints for querying token information, metadata, and pricing.

List Tokens

GET
Retrieve a paginated list of tokens with optional sorting.

Query Parameters

ParameterTypeDescription
nextstringPagination cursor for next page
previousstringPagination cursor for previous page
sizeintegerResults per page (max 3000)
sort_bystringSort field: address, mint_id, volume_24h
sort_directionstringasc or desc
tokensstringComma-separated token addresses to filter

Example Request

curl "https://api.orca.so/v2/solana/tokens?size=50&sort_by=volume_24h&sort_direction=desc"

Example Response

{
  "data": [
    {
      "address": "So11111111111111111111111111111111111111112",
      "symbol": "SOL",
      "name": "Wrapped SOL",
      "decimals": 9,
      "imageUrl": "https://raw.githubusercontent.com/...",
      "programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
      "tags": ""
    },
    {
      "address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "symbol": "USDC",
      "name": "USD Coin",
      "decimals": 6,
      "imageUrl": "https://raw.githubusercontent.com/...",
      "programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
      "tags": ""
    }
  ],
  "meta": {
    "next": "eyJsYXN0X2lkIjo...",
    "previous": null
  }
}

Search Tokens

GET
Search for tokens by name, symbol, or address. Supports partial, case-insensitive matching.

Query Parameters

ParameterTypeDescription
qstringRequired. Search query (name, symbol, or address)

Example Request

curl "https://api.orca.so/v2/solana/tokens/search?q=USDC"

Example Response

{
  "data": [
    {
      "address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "symbol": "USDC",
      "name": "USD Coin",
      "decimals": 6,
      "imageUrl": "https://raw.githubusercontent.com/...",
      "programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
      "tags": ""
    }
  ],
  "meta": {
    "next": null,
    "previous": null
  }
}

Get Token by Address

GET
Retrieve detailed information for a specific token by its mint address.

Path Parameters

ParameterTypeDescription
mint_addressstringRequired. The token’s mint address

Example Request

curl "https://api.orca.so/v2/solana/tokens/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"

Example Response

{
  "data": {
    "address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "symbol": "USDC",
    "name": "USD Coin",
    "decimals": 6,
    "imageUrl": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
    "programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
    "tags": ""
  },
  "meta": {
    "next": null,
    "previous": null
  }
}

Response Fields

FieldTypeDescription
addressstringToken mint address
symbolstring | nullToken symbol (e.g., “SOL”, “USDC”)
namestring | nullFull token name
decimalsintegerNumber of decimal places
imageUrlstring | nullURL to token logo image
programIdstringSPL Token program ID
tagsstringComma-separated extension tags
Some tokens may have null values for symbol, name, or imageUrl if metadata is not available.

Common Token Addresses

Here are some commonly used token addresses on Solana:
TokenAddress
SOL (Wrapped)So11111111111111111111111111111111111111112
USDCEPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
USDTEs9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
ORCAorcaEKTdK7LKz57vaAYr9QeNsVEPfiu6QeMU1kektZE